package ext {

[Native("Ext.EventManager", require)]
/**
 * Registers event handlers on DOM elements.
 * <p>This class is deprecated. Please use the Ext.dom.Element api to attach listeners to
 * DOM Elements. For example:</p>
 * <pre>
 * var element = Ext.get('myId');
 *
 * element.on('click', function(e) {
 *     // event handling logic here
 * });
 * </pre>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.EventManager.html Original Ext JS documentation of 'Ext.EventManager'
 */
public const EventManager:ext.SEventManager;
}