package ext.app.domain {
import ext.app.EventDomain;

[Native]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>This class implements the data store event domain. All classes extending from
 * →<code>ext.data.AbstractStore</code> are included in this domain. The selectors are simply
 * store id, alias or the wildcard "&#42;" to match any store.</p>
 * <p>Type of singleton StoreEventDomain.</p>
 * @see ext.data.AbstractStore
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.app.domain.Store.html Original Ext JS documentation of 'Ext.app.domain.Store'
 * @see ext.app.domain.#StoreEventDomain ext.app.domain.StoreEventDomain
 */
public class SStoreEventDomain extends ext.app.EventDomain {
  /**
   * @inheritDoc
   */
  public function SStoreEventDomain(config:ext.app.EventDomain = null) {
    super();
  }
}
}