package ext.button.events {
import ext.button.Button;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.button.events.Button_newGlyph_oldGlyphEvent")]
public class Button_newGlyph_oldGlyphEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when the button's glyph is changed by the →<code>setGlyph</code> method.
   * @see ext.button.Button#setGlyph
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.button.Button.html#event-glyphchange Original Ext JS documentation of 'glyphchange'
   * @see ext.button.Button
   * @eventType onGlyphChange
   */
  public static const GLYPH_CHANGE:String = "onGlyphChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Button_newGlyph_oldGlyphEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newGlyph():*;

  public native function get oldGlyph():*;

  public native function get source():ext.button.Button;
}
}