package ext.button.events {
import ext.button.SplitButton;
import js.Event;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.button.events.SplitButton_eEvent")]
public class SplitButton_eEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when this button's arrow is clicked.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.button.Split.html#event-arrowclick Original Ext JS documentation of 'arrowclick'
   * @see ext.button.SplitButton
   * @eventType onArrowClick
   */
  public static const ARROW_CLICK:String = "onArrowClick";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function SplitButton_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The click event.
   */
  public native function get e():js.Event;

  public native function get source():ext.button.SplitButton;
}
}