package ext.chart.axis.events {
import ext.chart.axis.Axis;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.chart.axis.events.Axis_range_oldRangeEvent")]
public class Axis_range_oldRangeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the →<code>ext.chart.axis.Axis.range</code> of the axis changes.
   * @see ext.chart.axis.Axis#range
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.axis.Axis.html#event-rangechange Original Ext JS documentation of 'rangechange'
   * @see ext.chart.axis.Axis
   * @eventType onRangeChange
   */
  public static const RANGE_CHANGE:String = "onRangeChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Axis_range_oldRangeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get axis():ext.chart.axis.Axis;

  public native function get oldRange():Array;

  public native function get range():Array;
}
}