package ext.chart.axis.layout {

[Native("Ext.chart.axis.layout.Continuous", require)]
/**
 * Processor for axis data that can be interpolated.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.axis.layout.Continuous.html Original Ext JS documentation of 'Ext.chart.axis.layout.Continuous'
 */
public class ContinuousAxisLayout extends ext.chart.axis.layout.AxisLayout {
  /**
   * @inheritDoc
   */
  public function ContinuousAxisLayout(config:ext.chart.axis.layout.ContinuousAxisLayout = null) {
    super();
  }

  /**
   * Snaps the data bound to the axis to meaningful tick marks.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.axis.layout.Continuous.html#method-snapEnds Original Ext JS documentation of 'snapEnds'
   */
  override public native function snapEnds(context:Object, min:Number, max:Number, estStepSize:Number):void;
}
}