package ext.chart.axis.segmenter {

[Native("Ext.chart.axis.segmenter.Names", require)]
/**
 * Names data type. Names will be calculated as their indices in the methods in this class.
 * The <code>→preferredStep()</code> always return <code>{ unit: 1, step: 1 }</code> to indicate "show every item".
 * @see #preferredStep()
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.axis.segmenter.Names.html Original Ext JS documentation of 'Ext.chart.axis.segmenter.Names'
 */
public class AxisSegmenterNames extends ext.chart.axis.segmenter.AxisSegmenter {
  public function AxisSegmenterNames(config:ext.chart.axis.segmenter.AxisSegmenterNames) {
    super(null);
  }
}
}