package ext.chart.events {
import ext.chart.AbstractChart;
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.chart.events.AbstractChart_newStore_oldStoreEvent")]
public class AbstractChart_newStore_oldStoreEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the store of the chart changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.AbstractChart.html#event-storechange Original Ext JS documentation of 'storechange'
   * @see ext.chart.AbstractChart
   * @eventType onStoreChange
   */
  public static const STORE_CHANGE:String = "onStoreChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function AbstractChart_newStore_oldStoreEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get chart():ext.chart.AbstractChart;

  public native function get newStore():ext.data.Store;

  public native function get oldStore():ext.data.Store;
}
}