package ext.chart.grid {
import ext.draw.sprite.PathSprite;

[ExtConfig]
[Native("Ext.chart.grid.RadialGrid", require)]
/**
 * Radial Grid sprite. Used by Radar chart to render a series of radial lines.
 * Represents the scale of the radar chart on the yField.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.grid.RadialGrid.html Original Ext JS documentation of 'Ext.chart.grid.RadialGrid'
 */
public class RadialGrid extends ext.draw.sprite.PathSprite {
  /**
   * @inheritDoc
   */
  public function RadialGrid(config:ext.chart.grid.RadialGrid = null) {
    super();
  }
}
}