package ext.chart.interactions.events {
import ext.chart.interactions.ItemInfoInteraction;
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.chart.interactions.events.ItemInfoInteraction_item_panelEvent")]
public class ItemInfoInteraction_item_panelEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the info panel is shown.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.interactions.ItemInfo.html#event-show Original Ext JS documentation of 'show'
   * @see ext.chart.interactions.ItemInfoInteraction
   * @eventType onShow
   */
  public static const SHOW:String = "onShow";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ItemInfoInteraction_item_panelEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The item whose info is being displayed
   */
  public native function get item():Object;

  /**
   * The panel for displaying the info
   */
  public native function get panel():ext.panel.Panel;

  /**
   * The interaction instance
   */
  public native function get source():ext.chart.interactions.ItemInfoInteraction;
}
}