package ext.chart.series.events {
import ext.chart.series.Series;
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.chart.series.events.Series_newStore_oldStoreEvent")]
public class Series_newStore_oldStoreEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the store of the series changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.series.Series.html#event-storechange Original Ext JS documentation of 'storechange'
   * @see ext.chart.series.Series
   * @eventType onStoreChange
   */
  public static const STORE_CHANGE:String = "onStoreChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Series_newStore_oldStoreEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newStore():ext.data.Store;

  public native function get oldStore():ext.data.Store;

  public native function get series():ext.chart.series.Series;
}
}