package ext.container.events {
import ext.Component;
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.container.events.DockingContainer_componentEvent")]
public class DockingContainer_componentEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when any →<code>ext.Component</code> is removed from the docked items.
   * @see ext.Component
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.container.DockingContainer.html#event-dockedremove Original Ext JS documentation of 'dockedremove'
   * @see ext.container.DockingContainer
   * @eventType onDockedRemove
   */
  public static const DOCKED_REMOVE:String = "onDockedRemove";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DockingContainer_componentEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The component being removed
   */
  public native function get component():ext.Component;

  public native function get source():ext.panel.Panel;
}
}