package ext.dashboard {
import ext.container.Container;

[Native("Ext.dashboard.Column", require)]
/**
 * This class manages columns in a <code>Dashboard</code>. The primary role here is the <code>→defaultType</code>
 * config which points to <code>→ext.dashboard.DashboardPanel</code> and the self-destruct mechanism to get
 * rid of empty columns.
 * @see #defaultType
 * @see ext.dashboard.DashboardPanel
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dashboard.Column.html Original Ext JS documentation of 'Ext.dashboard.Column'
 */
public class DashboardColumn extends ext.container.Container {
  /**
   * @param config @inheritDoc
   */
  public function DashboardColumn(config:ext.dashboard.DashboardColumn = null) {
    super();
  }
}
}