package ext.data.events {
import ext.data.Connection;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.Connection_optionsEvent")]
public class Connection_optionsEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before a network request is made to retrieve a data object.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.Connection.html#event-beforerequest Original Ext JS documentation of 'beforerequest'
   * @see ext.data.Connection
   * @eventType onBeforeRequest
   */
  public static const BEFORE_REQUEST:String = "onBeforeRequest";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Connection_optionsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This Connection object.
   */
  public native function get conn():ext.data.Connection;

  /**
   * The options config object passed to the →<code>request()</code> method.
   * @see ext.data.Connection#request()
   */
  public native function get options():Object;
}
}