package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.NodeInterface_childNodesEvent")]
public class NodeInterface_childNodesEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when this node's childNodes are sorted.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.NodeInterface.html#event-sort Original Ext JS documentation of 'sort'
   * @see ext.data.NodeInterface
   * @eventType onSort
   */
  public static const SORT:String = "onSort";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function NodeInterface_childNodesEvent(type:String, arguments:Array) {
    super(null, null);
  }

  [ArrayElementType("ext.data.NodeInterface")]
  /**
   * The childNodes of this node.
   */
  public native function get childNodes():Array;

  /**
   * This node.
   */
  public native function get source():ext.data.NodeInterface;
}
}