package ext.data.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.ProxyStore_optionsEvent")]
public class ProxyStore_optionsEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired before a call to →<code>sync()</code> is executed. Return false from any listener to cancel
   * the sync
   * @see ext.data.ProxyStore#sync()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.ProxyStore.html#event-beforesync Original Ext JS documentation of 'beforesync'
   * @see ext.data.ProxyStore
   * @eventType onBeforeSync
   */
  public static const BEFORE_SYNC:String = "onBeforeSync";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ProxyStore_optionsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * Hash of all records to be synchronized, broken down into create,
   * update and destroy
   */
  public native function get options():Object;
}
}