package ext.data.events {
import ext.data.Store;
import ext.util.Grouper;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.Store_grouperEvent")]
public class Store_grouperEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired whenever the grouping in the grid changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.Store.html#event-groupchange Original Ext JS documentation of 'groupchange'
   * @see ext.data.Store
   * @eventType onGroupChange
   */
  public static const GROUP_CHANGE:String = "onGroupChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Store_grouperEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The grouper object.
   */
  public native function get grouper():ext.util.Grouper;

  /**
   * The store.
   */
  public native function get store():ext.data.Store;
}
}