package ext.data.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.TreeStore_newRoot_oldRootEvent")]
public class TreeStore_newRoot_oldRootEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires any time the tree's root node changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.TreeStore.html#event-rootchange Original Ext JS documentation of 'rootchange'
   * @see ext.data.TreeStore
   * @eventType onRootChange
   */
  public static const ROOT_CHANGE:String = "onRootChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TreeStore_newRoot_oldRootEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The new root
   */
  public native function get newRoot():*;

  /**
   * The old root
   */
  public native function get oldRoot():*;
}
}