package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.TreeStore_nodeEvent")]
public class TreeStore_nodeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before a new child is appended, return false to cancel the append.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.TreeStore.html#event-nodebeforeappend Original Ext JS documentation of 'nodebeforeappend'
   * @see ext.data.TreeStore
   * @eventType onNodeBeforeAppend
   */
  public static const NODE_BEFORE_APPEND:String = "onNodeBeforeAppend";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TreeStore_nodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The child node to be appended
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;
}
}