package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.TreeStore_node_indexEvent")]
public class TreeStore_node_indexEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a new child node is appended
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.TreeStore.html#event-nodeappend Original Ext JS documentation of 'nodeappend'
   * @see ext.data.TreeStore
   * @eventType onNodeAppend
   */
  public static const NODE_APPEND:String = "onNodeAppend";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TreeStore_node_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The index of the newly appended node
   */
  public native function get index():Number;

  /**
   * The newly appended node
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;
}
}