package ext.data.proxy.events {
import ext.data.operation.Operation;
import ext.data.proxy.DataProxy;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.proxy.events.ServerProxy_response_operationEvent")]
public class ServerProxy_response_operationEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the server returns an exception. This event may also be listened
   * to in the event that a request has timed out or has been aborted.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.proxy.Server.html#event-exception Original Ext JS documentation of 'exception'
   * @see ext.data.proxy.ServerProxy
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ServerProxy_response_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The operation that triggered the request
   */
  public native function get operation():ext.data.operation.Operation;

  /**
   * The response that was received
   */
  public native function get response():Object;

  public native function get source():ext.data.proxy.DataProxy;
}
}