package ext.data.session {
import ext.Base;

[Native("Ext.data.session.BatchVisitor", require)]
/**
 * This class is used internally by <code>→ext.data.Session.getSaveBatch()</code> and is
 * not intended for direct use. It can be studied as an example of implementing a visitor
 * to pass to <code>→ext.data.Session.visitData()</code>.
 * @see ext.data.Session#getSaveBatch()
 * @see ext.data.Session#visitData()
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.session.BatchVisitor.html Original Ext JS documentation of 'Ext.data.session.BatchVisitor'
 */
public class BatchVisitor extends ext.Base {}
}