package ext.data.session {
import ext.Base;

[Native("Ext.data.session.ChangesVisitor", require)]
/**
 * This class is used internally by <code>→ext.data.Session.getChanges()</code> to build
 * up an object describing changes in the session. It is not intended for public use but
 * can be used as an example of the visitor <code>→ext.data.Session.visitData()</code>
 * requires.
 * @see ext.data.Session#getChanges()
 * @see ext.data.Session#visitData()
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.session.ChangesVisitor.html Original Ext JS documentation of 'Ext.data.session.ChangesVisitor'
 */
public class ChangesVisitor extends ext.Base {}
}