package ext.dd {

[Native("Ext.dd.DragDropManager", require)]
/**
 * DragDropManager is a singleton that tracks the element interaction for
 * all DragDrop items in the window. Generally, you will not call
 * this class directly, but it does have helper methods that could
 * be useful in your DragDrop implementations.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dd.DragDropManager.html Original Ext JS documentation of 'Ext.dd.DragDropManager'
 */
public const DragDropManager:ext.dd.SDragDropManager;
}