package ext.dd {

[Native("Ext.dd.Registry", require)]
/**
 * Provides easy access to all drag drop components that are registered on a page.
 * Items can be retrieved either directly by DOM node id, or by passing in the drag drop event
 * that occurred and looking up the event target.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dd.Registry.html Original Ext JS documentation of 'Ext.dd.Registry'
 */
public const Registry:ext.dd.SRegistry;
}