package ext.dd.events {
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.dd.events.DragTracker_e_targetEvent")]
public class DragTracker_e_targetEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the mouse enters the DragTracker's target element (or if →<code>delegate</code> is
   * used, when the mouse enters a delegate element).
   * <p><b>Only available when →<code>trackOver</code> is <code>true</code></b></p>
   * @see ext.dd.DragTracker#delegate
   * @see ext.dd.DragTracker#trackOver
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dd.DragTracker.html#event-mouseover Original Ext JS documentation of 'mouseover'
   * @see ext.dd.DragTracker
   * @eventType onMouseOver
   */
  public static const MOUSE_OVER:String = "onMouseOver";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DragTracker_e_targetEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * event object
   */
  public native function get e():Object;

  public native function get source():Object;

  /**
   * The element mouseovered.
   */
  public native function get target():js.HTMLElement;
}
}