package ext.direct.events {
import ext.direct.Provider;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.direct.events.DirectManager_url_providerEvent")]
public class DirectManager_url_providerEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired by →<code>loadProvider()</code> after successfully loading RemotingProvider API
   * declaration and creating a new Provider instance.
   * @see ext.direct.SDirectManager#loadProvider()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.Manager.html#event-providerload Original Ext JS documentation of 'providerload'
   * @see ext.direct.SDirectManager
   * @eventType onProviderLoad
   */
  public static const PROVIDER_LOAD:String = "onProviderLoad";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DirectManager_url_providerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The →<code>ext.direct.Provider</code>
   * instance that was created.
   * @see ext.direct.Provider
   */
  public native function get provider():ext.direct.Provider;

  /**
   * The URL used to retrieve remoting API.
   */
  public native function get url():String;
}
}