package ext.draw.modifier {

[Native("Ext.draw.modifier.Target", require)]
/**
 * This is the destination (top) modifier that has to be put at
 * the top of the modifier stack.
 * <p>The Target modifier figures out which updaters have to be called
 * for the changed set of attributes and makes the sprite and its instances (if any)
 * call them.</p>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.modifier.Target.html Original Ext JS documentation of 'Ext.draw.modifier.Target'
 */
public class TargetModifier extends ext.draw.modifier.Modifier {
  /**
   * @inheritDoc
   */
  public function TargetModifier(config:ext.draw.modifier.TargetModifier = null) {
    super();
  }
}
}