package ext.env {

[Native("Ext.env.OS", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>Provides information about operating system environment.</p>
 * <p>Should not be manually instantiated unless for unit-testing.
 * Access the global instance stored in →<code>ext.os</code> instead.</p>
 * @see ext.#os ext.os
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.env.OS.html Original Ext JS documentation of 'Ext.env.OS'
 */
public class OS extends Object {}
}