package ext.events {
import ext.Component;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.events.Component_x_yEvent")]
public class Component_x_yEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the component is moved.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.Component.html#event-move Original Ext JS documentation of 'move'
   * @see ext.Component
   * @eventType onMove
   */
  public static const MOVE:String = "onMove";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Component_x_yEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Component;

  /**
   * The new x position.
   */
  public native function get x():Number;

  /**
   * The new y position.
   */
  public native function get y():Number;
}
}