package ext.events {
import ext.Editor;
import ext.event.Event;
import ext.form.field.Field;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.events.Editor_field_eventEvent")]
public class Editor_field_eventEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed.
   * You can check →<code>ext.event.Event.getKey()</code> to determine which key was pressed.
   * @see ext.event.Event#getKey()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.Editor.html#event-specialkey Original Ext JS documentation of 'specialkey'
   * @see ext.Editor
   * @eventType onSpecialKey
   */
  public static const SPECIAL_KEY:String = "onSpecialKey";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Editor_field_eventEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The event object
   */
  public native function get event():ext.event.Event;

  /**
   * The field attached to this editor
   */
  public native function get field():ext.form.field.Field;

  public native function get source():ext.Editor;
}
}