package ext.form.action {
import ext.Mixin;

[Native("Ext.form.action.DirectAction", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>A mixin that contains methods specific to Ext Direct actions shared
 * by DirectLoad and DirectSubmit.</p>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.action.DirectAction.html Original Ext JS documentation of 'Ext.form.action.DirectAction'
 */
public class DirectAction extends ext.Mixin implements ext.form.action.IDirectAction {}
}