package ext.form.events {
import ext.form.BasicForm;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.events.FormPanel_validEvent")]
public class FormPanel_validEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the validity of the entire form changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.Panel.html#event-validitychange Original Ext JS documentation of 'validitychange'
   * @see ext.form.FormPanel
   * @eventType onValidityChange
   */
  public static const VALIDITY_CHANGE:String = "onValidityChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function FormPanel_validEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.BasicForm;

  /**
   * <code>true</code> if the form is now valid, <code>false</code> if it is now invalid.
   */
  public native function get valid():Boolean;
}
}