package ext.form.events {
import ext.form.Labelable;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.events.Labelable_errorEvent")]
public class Labelable_errorEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the active error message is changed via →<code>setActiveError()</code>.
   * @see ext.form.Labelable#setActiveError()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.Labelable.html#event-errorchange Original Ext JS documentation of 'errorchange'
   * @see ext.form.Labelable
   * @eventType onErrorChange
   */
  public static const ERROR_CHANGE:String = "onErrorChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Labelable_errorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The active error message
   */
  public native function get error():String;

  public native function get source():ext.form.Labelable;
}
}