package ext.form.field {

[Deprecated(replacement = "ext.form.field.TextField", since = "5.0")]
[Native("Ext.form.field.Trigger", require)]
/**
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.Trigger.html Original Ext JS documentation of 'Ext.form.field.Trigger'
 */
public class TriggerField extends ext.form.field.TextField {
  /**
   * @param config @inheritDoc
   */
  public function TriggerField(config:ext.form.field.TriggerField = null) {
    super();
  }

  [ExtConfig]
  /**
   * An additional CSS class used to style the trigger button. The trigger will always get
   * the →<code>ext.form.trigger.Trigger.baseCls</code> by default and triggerCls will be <b>appended</b>
   * if specified.
   * @default Ext.baseCSSPrefix + 'form-arrow-trigger'
   * @see ext.form.trigger.Trigger#baseCls
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.Trigger.html#cfg-triggerCls Original Ext JS documentation of 'triggerCls'
   */
  public native function get triggerCls():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set triggerCls(value:String):void;
}
}