package ext.form.field.events {
import ext.form.field.BaseField;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.field.events.BaseField_ReadEvent")]
public class BaseField_ReadEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when this field changes its read-only status.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.Base.html#event-writeablechange Original Ext JS documentation of 'writeablechange'
   * @see ext.form.field.BaseField
   * @eventType onWriteableChange
   */
  public static const WRITEABLE_CHANGE:String = "onWriteableChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function BaseField_ReadEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * only flag
   */
  public native function get Read():Boolean;

  public native function get source():ext.form.field.BaseField;
}
}