package ext.form.field.events {
import ext.form.field.ComboBox;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.field.events.ComboBox_recordEvent")]
public class ComboBox_recordEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when at least one list item is selected.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.ComboBox.html#event-select Original Ext JS documentation of 'select'
   * @see ext.form.field.ComboBox
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ComboBox_recordEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This combo box
   */
  public native function get combo():ext.form.field.ComboBox;

  /**
   * With →<code>multiSelect</code>
   * <code>false</code>, the value will be a single record. With →<code>multiSelect</code> <code>true</code>, the
   * value will be an array of records.
   * @see ext.form.field.ComboBox#multiSelect
   */
  public native function get record():*;
}
}