package ext.form.field.events {
import ext.form.field.HtmlEditor;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.field.events.HtmlEditor_sourceEditEvent")]
public class HtmlEditor_sourceEditEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the editor switches edit modes
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.HtmlEditor.html#event-editmodechange Original Ext JS documentation of 'editmodechange'
   * @see ext.form.field.HtmlEditor
   * @eventType onEditModeChange
   */
  public static const EDIT_MODE_CHANGE:String = "onEditModeChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function HtmlEditor_sourceEditEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.HtmlEditor;

  /**
   * True if source edit, false if standard editing.
   */
  public native function get sourceEdit():Boolean;
}
}