package ext.form.field.events {
import ext.form.field.Picker;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.field.events.Picker_valueEvent")]
public class Picker_valueEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a value is selected via the picker.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.Picker.html#event-select Original Ext JS documentation of 'select'
   * @see ext.form.field.Picker
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Picker_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This field instance
   */
  public native function get field():ext.form.field.Picker;

  /**
   * The value that was selected. The exact type of this value
   * is dependent on the individual field and picker implementations.
   */
  public native function get value():Object;
}
}