package ext.fx.events {
import ext.fx.Anim;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.fx.events.AnimEvent")]
public class AnimEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before the animation starts. A handler can return false to cancel the animation.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.Anim.html#event-beforeanimate Original Ext JS documentation of 'beforeanimate'
   * @see ext.fx.Anim
   * @eventType onBeforeAnimate
   */
  public static const BEFORE_ANIMATE:String = "onBeforeAnimate";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function AnimEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.fx.Anim;
}
}