package ext.fx.events {
import ext.fx.Animator;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.fx.events.Animator_keyframeEvent")]
public class Animator_keyframeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires at each keyframe.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.Animator.html#event-keyframe Original Ext JS documentation of 'keyframe'
   * @see ext.fx.Animator
   * @eventType onKeyframe
   */
  public static const KEYFRAME:String = "onKeyframe";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Animator_keyframeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * step number
   */
  public native function get keyframe():Number;

  public native function get source():ext.fx.Animator;
}
}