package ext.fx.target {

[Native("Ext.fx.target.Component", require)]
/**
 * This class represents a animation target for a →<code>ext.Component</code>. In general this class
 * will not be created directly, the →<code>ext.Component</code> will be passed to the animation and
 * and the appropriate target will be created.
 * @see ext.Component
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.target.Component.html Original Ext JS documentation of 'Ext.fx.target.Component'
 */
public class ComponentTarget extends ext.fx.target.Target {
  /**
   * @inheritDoc
   */
  public function ComponentTarget(target:* = undefined) {
    super(undefined);
  }
}
}