package ext.fx.target {

[Native("Ext.fx.target.CompositeSprite", require)]
/**
 * This class represents a animation target for a →<code>ext.draw.sprite.CompositeSprite</code>. It allows
 * each →<code>ext.draw.sprite.Sprite</code> in the group to be animated as a whole. In general this class
 * will not be created directly, the →<code>ext.draw.sprite.CompositeSprite</code> will be passed
 * to the animation and and the appropriate target will be created.
 * @see ext.draw.sprite.CompositeSprite
 * @see ext.draw.sprite.Sprite
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.target.CompositeSprite.html Original Ext JS documentation of 'Ext.fx.target.CompositeSprite'
 */
public class CompositeSpriteTarget extends ext.fx.target.SpriteTarget {
  /**
   * @inheritDoc
   */
  public function CompositeSpriteTarget(target:* = undefined) {
    super();
  }
}
}