package ext.fx.target {

[Native("Ext.fx.target.Element", require)]
/**
 * This class represents a animation target for an →<code>ext.dom.Element</code>. In general this class
 * will not be created directly, the →<code>ext.dom.Element</code> will be passed to the animation and
 * and the appropriate target will be created.
 * @see ext.dom.Element
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.target.Element.html Original Ext JS documentation of 'Ext.fx.target.Element'
 */
public class ElementTarget extends ext.fx.target.Target {
  /**
   * @inheritDoc
   */
  public function ElementTarget(target:* = undefined) {
    super(undefined);
  }
}
}