package ext.fx.target {

[Native("Ext.fx.target.Sprite", require)]
/**
 * This class represents an animation target for a →<code>ext.draw.sprite.Sprite</code>. In general
 * this class will not be created directly, the →<code>ext.draw.sprite.Sprite</code> will be passed
 * to the animation and and the appropriate target will be created.
 * @see ext.draw.sprite.Sprite
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.target.Sprite.html Original Ext JS documentation of 'Ext.fx.target.Sprite'
 */
public class SpriteTarget extends ext.fx.target.Target {
  /**
   * @inheritDoc
   */
  public function SpriteTarget(target:* = undefined) {
    super(undefined);
  }
}
}