package ext.grid.feature.events {
import ext.view.TableView;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.grid.feature.events.Grouping_view_node_groupEvent")]
public class Grouping_view_node_groupEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.feature.Grouping.html#event-groupcollapse Original Ext JS documentation of 'groupcollapse'
   * @see ext.grid.feature.Grouping
   * @eventType onGroupCollapse
   */
  public static const GROUP_COLLAPSE:String = "onGroupCollapse";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.feature.Grouping.html#event-groupexpand Original Ext JS documentation of 'groupexpand'
   * @see ext.grid.feature.Grouping
   * @eventType onGroupExpand
   */
  public static const GROUP_EXPAND:String = "onGroupExpand";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Grouping_view_node_groupEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The name of the group
   */
  public native function get group():String;

  public native function get node():js.HTMLElement;

  public native function get view():ext.view.TableView;
}
}