package ext.grid.feature.events {
import ext.event.Event;
import ext.view.TableView;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.grid.feature.events.Grouping_view_node_group_eEvent")]
public class Grouping_view_node_group_eEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.feature.Grouping.html#event-groupclick Original Ext JS documentation of 'groupclick'
   * @see ext.grid.feature.Grouping
   * @eventType onGroupClick
   */
  public static const GROUP_CLICK:String = "onGroupClick";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.feature.Grouping.html#event-groupcontextmenu Original Ext JS documentation of 'groupcontextmenu'
   * @see ext.grid.feature.Grouping
   * @eventType onGroupContextMenu
   */
  public static const GROUP_CONTEXT_MENU:String = "onGroupContextMenu";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.feature.Grouping.html#event-groupdblclick Original Ext JS documentation of 'groupdblclick'
   * @see ext.grid.feature.Grouping
   * @eventType onGroupDblclick
   */
  public static const GROUP_DBLCLICK:String = "onGroupDblclick";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Grouping_view_node_group_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get e():ext.event.Event;

  /**
   * The name of the group
   */
  public native function get group():String;

  public native function get node():js.HTMLElement;

  public native function get view():ext.view.TableView;
}
}