package ext.grid.filters.filter {

[Native("Ext.grid.filters.filter.TriFilter", require)]
/**
 * This abstract base class is used by grid filters that have a three
 * <i>store filter</i> (→<code>ext.data.Store.filters</code>).
 * @see ext.data.Store#filters
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.filters.filter.TriFilter.html Original Ext JS documentation of 'Ext.grid.filters.filter.TriFilter'
 */
public class TriFilter extends ext.grid.filters.filter.BaseFilter {
  /**
   * @inheritDoc
   */
  public function TriFilter(config:ext.grid.filters.filter.BaseFilter = null) {
    super();
  }
}
}