package ext.grid.header.events {
import ext.grid.header.HeaderContainer;
import ext.menu.Menu;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.grid.header.events.HeaderContainer_menuEvent")]
public class HeaderContainer_menuEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired immediately after the column header menu is created.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.header.Container.html#event-menucreate Original Ext JS documentation of 'menucreate'
   * @see ext.grid.header.HeaderContainer
   * @eventType onMenuCreate
   */
  public static const MENU_CREATE:String = "onMenuCreate";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function HeaderContainer_menuEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This instance
   */
  public native function get ct():ext.grid.header.HeaderContainer;

  /**
   * The Menu that was created
   */
  public native function get menu():ext.menu.Menu;
}
}