package ext.grid.locking.events {
import ext.panel.TablePanel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.grid.locking.events.LockableEvent")]
public class LockableEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the grid view is available (use this for selecting a default row).
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.locking.Lockable.html#event-viewready Original Ext JS documentation of 'viewready'
   * @see ext.grid.locking.Lockable
   * @eventType onViewReady
   */
  public static const VIEW_READY:String = "onViewReady";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function LockableEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.panel.TablePanel;
}
}