package ext.menu.events {
import ext.menu.CheckItem;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.menu.events.CheckItem_checkedEvent")]
public class CheckItem_checkedEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before a change event. Return false to cancel.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.menu.CheckItem.html#event-beforecheckchange Original Ext JS documentation of 'beforecheckchange'
   * @see ext.menu.CheckItem
   * @eventType onBeforeCheckChange
   */
  public static const BEFORE_CHECK_CHANGE:String = "onBeforeCheckChange";

  /**
   * Fires after a change event.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.menu.CheckItem.html#event-checkchange Original Ext JS documentation of 'checkchange'
   * @see ext.menu.CheckItem
   * @eventType onCheckChange
   */
  public static const CHECK_CHANGE:String = "onCheckChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function CheckItem_checkedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get checked():Boolean;

  public native function get source():ext.menu.CheckItem;
}
}