package ext.menu.events {
import ext.picker.DatePicker;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.menu.events.DatePickerMenu_dateEvent")]
public class DatePickerMenu_dateEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a date is selected
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.menu.DatePicker.html#event-select Original Ext JS documentation of 'select'
   * @see ext.menu.DatePickerMenu
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DatePickerMenu_dateEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The selected date
   */
  public native function get date():Date;

  /**
   * DatePicker
   */
  public native function get source():ext.picker.DatePicker;
}
}