package ext.menu.events {
import ext.event.Event;
import ext.menu.Item;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.menu.events.Item_eEvent")]
public class Item_eEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when this item is clicked
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.menu.Item.html#event-click Original Ext JS documentation of 'click'
   * @see ext.menu.Item
   * @eventType onClick
   */
  public static const CLICK:String = "onClick";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Item_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The underlying →<code>ext.event.Event</code>.
   * @see ext.event.Event
   */
  public native function get e():ext.event.Event;

  /**
   * The item that was clicked
   */
  public native function get item():ext.menu.Item;
}
}