package ext.menu.events {
import ext.menu.Item;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.menu.events.Item_oldText_newTextEvent")]
public class Item_oldText_newTextEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when the item's text is changed by the →<code>setText()</code> method.
   * @see ext.menu.Item#setText()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.menu.Item.html#event-textchange Original Ext JS documentation of 'textchange'
   * @see ext.menu.Item
   * @eventType onTextChange
   */
  public static const TEXT_CHANGE:String = "onTextChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Item_oldText_newTextEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newText():String;

  public native function get oldText():String;

  public native function get source():ext.menu.Item;
}
}