package ext.mixin {
import ext.IMixin;

[Mixin("ext.mixin.ComponentDelegation")]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>A mixin that gives Ext.Component and Ext.Widget the ability to process the "delegate"
 * event option.</p>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.mixin.ComponentDelegation.html Original Ext JS documentation of 'Ext.mixin.ComponentDelegation'
 * @see ext.mixin.ComponentDelegation
 */
public interface IComponentDelegation extends ext.IMixin {}
}