package ext.mixin {
import ext.IMixin;

[Mixin("ext.mixin.StyleCacher")]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.mixin.StyleCacher.html Original Ext JS documentation of 'Ext.mixin.StyleCacher'
 * @see ext.mixin.StyleCacher
 */
public interface IStyleCacher extends ext.IMixin {}
}