package ext.panel {
import ext.IMixin;

[Mixin("ext.panel.Pinnable")]
/**
 * This mixin is applied to panels that want to manage a Pin state and corresponding tool.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Pinnable.html Original Ext JS documentation of 'Ext.panel.Pinnable'
 * @see ext.panel.Pinnable
 */
public interface IPinnable extends ext.IMixin {}
}