package ext.panel {
import ext.container.Container;

[Native("Ext.panel.Bar", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>Abstract base class for common functionality shared between →<code>ext.panel.PanelHeader</code>
 * and →<code>ext.tab.TabBar</code></p>
 * @see ext.panel.PanelHeader
 * @see ext.tab.TabBar
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Bar.html Original Ext JS documentation of 'Ext.panel.Bar'
 */
public class PanelBar extends ext.container.Container {
  /**
   * @inheritDoc
   */
  public function PanelBar(config:ext.container.Container = null) {
    super();
  }
}
}