package ext.panel {
import ext.Mixin;

[Native("Ext.panel.Pinnable", require)]
[ExtConfig]
/**
 * This mixin is applied to panels that want to manage a Pin state and corresponding tool.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Pinnable.html Original Ext JS documentation of 'Ext.panel.Pinnable'
 */
public class Pinnable extends ext.Mixin implements ext.panel.IPinnable {}
}