package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_animateEvent")]
public class Panel_animateEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before this panel is expanded. Return false to prevent the expand.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-beforeexpand Original Ext JS documentation of 'beforeexpand'
   * @see ext.panel.Panel
   * @eventType onBeforeExpand
   */
  public static const BEFORE_EXPAND:String = "onBeforeExpand";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_animateEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * True if the expand is animated, else false.
   */
  public native function get animate():Boolean;

  /**
   * The Panel being expanded.
   */
  public native function get p():ext.panel.Panel;
}
}