package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newGlyph_oldGlyphEvent")]
public class Panel_newGlyph_oldGlyphEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when the Panel glyph has been changed by the →<code>setGlyph</code> method.
   * @see ext.panel.Panel#setGlyph
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-glyphchange Original Ext JS documentation of 'glyphchange'
   * @see ext.panel.Panel
   * @eventType onGlyphChange
   */
  public static const GLYPH_CHANGE:String = "onGlyphChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newGlyph_oldGlyphEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newGlyph():*;

  public native function get oldGlyph():*;

  public native function get source():ext.panel.Panel;
}
}