package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newIconCls_oldIconClsEvent")]
public class Panel_newIconCls_oldIconClsEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the Panel iconCls has been set or changed.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-iconclschange Original Ext JS documentation of 'iconclschange'
   * @see ext.panel.Panel
   * @eventType onIconClsChange
   */
  public static const ICON_CLS_CHANGE:String = "onIconClsChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newIconCls_oldIconClsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The new iconCls.
   */
  public native function get newIconCls():String;

  /**
   * The previous panel iconCls.
   */
  public native function get oldIconCls():String;

  /**
   * The Panel which has the iconCls changed.
   */
  public native function get source():ext.panel.Panel;
}
}