package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newTitleRotation_oldTitleRotationEvent")]
public class Panel_newTitleRotation_oldTitleRotationEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the Panel titleRotation has been set or changed.
   * @since 6.5.1
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-titlerotationchange Original Ext JS documentation of 'titlerotationchange'
   * @see ext.panel.Panel
   * @eventType onTitleRotationChange
   */
  public static const TITLE_ROTATION_CHANGE:String = "onTitleRotationChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newTitleRotation_oldTitleRotationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newTitleRotation():String;

  public native function get oldTitleRotation():String;

  /**
   * the Panel which has the titleRotation changed.
   */
  public native function get source():ext.panel.Panel;
}
}