package ext.panel.events {
import ext.grid.header.HeaderContainer;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.TablePanel_ctEvent")]
public class TablePanel_ctEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired after the columns change in any way, when a column has been hidden or shown,
   * or when a column is added to or removed from this header container.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Table.html#event-columnschanged Original Ext JS documentation of 'columnschanged'
   * @see ext.panel.TablePanel
   * @eventType onColumnsChanged
   */
  public static const COLUMNS_CHANGED:String = "onColumnsChanged";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanel_ctEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The grid's header Container which encapsulates
   * all column headers.
   */
  public native function get ct():ext.grid.header.HeaderContainer;
}
}