package ext.panel.events {
import ext.grid.column.Column;
import ext.grid.header.HeaderContainer;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.TablePanel_ct_column_widthEvent")]
public class TablePanel_ct_column_widthEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Table.html#event-columnresize Original Ext JS documentation of 'columnresize'
   * @see ext.panel.TablePanel
   * @eventType onColumnResize
   */
  public static const COLUMN_RESIZE:String = "onColumnResize";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanel_ct_column_widthEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The Column header Component which provides
   * the column definition
   */
  public native function get column():ext.grid.column.Column;

  /**
   * The grid's header Container which encapsulates
   * all column headers.
   */
  public native function get ct():ext.grid.header.HeaderContainer;

  public native function get width():Number;
}
}