package ext.panel.events {
import ext.data.Store;
import ext.util.Grouper;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.TablePanel_store_grouperEvent")]
public class TablePanel_store_grouperEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired whenever the grouping in the grid changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.locking.Lockable.html#event-groupchange Original Ext JS documentation of 'groupchange'
   * @see ext.panel.TablePanel
   * @eventType onGroupChange
   */
  public static const GROUP_CHANGE:String = "onGroupChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanel_store_grouperEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The grouper object.
   */
  public native function get grouper():ext.util.Grouper;

  /**
   * The store.
   */
  public native function get store():ext.data.Store;
}
}