package ext.picker.events {
import ext.picker.MonthPicker;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.picker.events.MonthPickerEvent")]
public class MonthPickerEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the cancel button is pressed.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.picker.Month.html#event-cancelclick Original Ext JS documentation of 'cancelclick'
   * @see ext.picker.MonthPicker
   * @eventType onCancelClick
   */
  public static const CANCEL_CLICK:String = "onCancelClick";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function MonthPickerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.picker.MonthPicker;
}
}