package ext.scroll.events {
import ext.scroll.Scroller;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.scroll.events.ScrollerEvent")]
public class ScrollerEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires whenever the Scroller is refreshed.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.scroll.Scroller.html#event-refresh Original Ext JS documentation of 'refresh'
   * @see ext.scroll.Scroller
   * @eventType onRefresh
   */
  public static const REFRESH:String = "onRefresh";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ScrollerEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.scroll.Scroller;
}
}