package ext.state {

[Native("Ext.state.LocalStorageProvider", require)]
/**
 * A Provider implementation which saves and retrieves state via the HTML5 localStorage API
 * or IE <code>userData</code> storage. For details see <code>→ext.util.LocalStorage</code>.
 * <p>If the browser does not support local storage, there will be no attempt to read the state.
 * Before creating this class, check →<code>ext.util.LocalStorage.supported</code>.</p>
 * @see ext.util.LocalStorage
 * @see ext.util.LocalStorage#supported
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.state.LocalStorageProvider.html Original Ext JS documentation of 'Ext.state.LocalStorageProvider'
 */
public class LocalStorageProvider extends ext.state.Provider {
  /**
   * @param config @inheritDoc
   */
  public function LocalStorageProvider(config:ext.state.LocalStorageProvider = null) {
    super();
  }
}
}