package ext.toolbar.events {
import ext.toolbar.PagingToolbar;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.toolbar.events.PagingToolbar_pageEvent")]
public class PagingToolbar_pageEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires just before the active page is changed. Return false to prevent the active page
   * from being changed.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.toolbar.Paging.html#event-beforechange Original Ext JS documentation of 'beforechange'
   * @see ext.toolbar.PagingToolbar
   * @eventType onBeforeChange
   */
  public static const BEFORE_CHANGE:String = "onBeforeChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function PagingToolbar_pageEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The page number that will be loaded on change
   */
  public native function get page():Number;

  public native function get source():ext.toolbar.PagingToolbar;
}
}