package ext.util {

[Native("Ext.util.CSV", require)]
/**
 * This class contains utility methods for dealing with CSV (Comma Separated Values) as
 * specified in <a href="http://tools.ietf.org/html/rfc4180">RFC 4180</a>.
 * <p>For details see <code>→ext.util.DelimitedValue</code>.</p>
 * @see ext.util.DelimitedValue
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.CSV.html Original Ext JS documentation of 'Ext.util.CSV'
 */
public const CSV:ext.util.DelimitedValue;
}