package ext.util {

[Native("Ext.util.Cookies", require)]
/**
 * Utility class for setting/reading values from browser cookies.
 * Values can be written using the →<code>set()</code> method.
 * Values can be read using the →<code>get()</code> method.
 * A cookie can be invalidated on the client machine using the →<code>clear()</code> method.
 * @see SCookies#set()
 * @see SCookies#get()
 * @see SCookies#clear()
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.Cookies.html Original Ext JS documentation of 'Ext.util.Cookies'
 */
public const Cookies:ext.util.SCookies;
}