package ext.util.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.util.events.AbstractMixedCollection_o_keyEvent")]
public class AbstractMixedCollection_o_keyEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when an item is removed from the collection.
   * @since 1.1.0
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.AbstractMixedCollection.html#event-remove Original Ext JS documentation of 'remove'
   * @see ext.util.AbstractMixedCollection
   * @eventType onRemove
   */
  public static const REMOVE:String = "onRemove";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function AbstractMixedCollection_o_keyEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The key associated with the removed item.
   */
  public native function get key():String;

  /**
   * The item being removed.
   */
  public native function get o():Object;
}
}