package ext.util.events {
import ext.util.HashMap;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.util.events.HashMapEvent")]
public class HashMapEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the hash is cleared.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.HashMap.html#event-clear Original Ext JS documentation of 'clear'
   * @see ext.util.HashMap
   * @eventType onClear
   */
  public static const CLEAR:String = "onClear";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function HashMapEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.util.HashMap;
}
}