package ext.util.events {
import ext.util.HashMap;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.util.events.HashMap_key_value_oldEvent")]
public class HashMap_key_value_oldEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when an item is replaced in the hash.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.HashMap.html#event-replace Original Ext JS documentation of 'replace'
   * @see ext.util.HashMap
   * @eventType onReplace
   */
  public static const REPLACE:String = "onReplace";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function HashMap_key_value_oldEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The key of the replaced item.
   */
  public native function get key():String;

  /**
   * The old value for the item.
   */
  public native function get old():Object;

  public native function get source():ext.util.HashMap;

  /**
   * The new value for the item.
   */
  public native function get value():Object;
}
}