package ext.util.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.util.events.History_tokenEvent")]
public class History_tokenEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when navigation back or forwards within the local page's history occurs.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.History.html#event-change Original Ext JS documentation of 'change'
   * @see ext.util.SHistory
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function History_tokenEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * An identifier associated with the page state at that point
   * in its history.
   */
  public native function get token():String;
}
}