package ext.view.events {
import ext.data.Model;
import ext.selection.DataViewSelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.view.events.DataView_recordEvent")]
public class DataView_recordEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired after a record is deselected
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.view.View.html#event-deselect Original Ext JS documentation of 'deselect'
   * @see ext.view.DataView
   * @eventType onDeselect
   */
  public static const DESELECT:String = "onDeselect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DataView_recordEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The deselected record
   */
  public native function get record():ext.data.Model;

  public native function get source():ext.selection.DataViewSelectionModel;
}
}