package ext.view.events {
import ext.selection.SelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.view.events.DataView_selectedEvent")]
public class DataView_selectedEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired after a selection change has occurred
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.view.View.html#event-selectionchange Original Ext JS documentation of 'selectionchange'
   * @see ext.view.DataView
   * @eventType onSelectionChange
   */
  public static const SELECTION_CHANGE:String = "onSelectionChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DataView_selectedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  [ArrayElementType("ext.data.Model")]
  /**
   * The selected records
   */
  public native function get selected():Array;

  public native function get source():ext.selection.SelectionModel;
}
}