/*package ext.draw.events {
import js.Event;

import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.draw.events.DrawContainer_sprite_eventEvent")]*/
Ext.define("Ext.draw.events.DrawContainer_sprite_eventEvent", function(DrawContainer_sprite_eventEvent) {/*public class DrawContainer_sprite_eventEvent extends FlExtEvent {
  /**
   * Fires when a click event occurs on a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spriteclick Original Ext JS documentation of 'spriteclick'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteClick
   * /
  public static const SPRITE_CLICK:String = "onSpriteClick";
  /**
   * Fires when a double click event occurs on a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritedblclick Original Ext JS documentation of 'spritedblclick'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteDblclick
   * /
  public static const SPRITE_DBLCLICK:String = "onSpriteDblclick";
  /**
   * Fires when a mousedown event occurs on a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritemousedown Original Ext JS documentation of 'spritemousedown'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteMouseDown
   * /
  public static const SPRITE_MOUSE_DOWN:String = "onSpriteMouseDown";
  /**
   * Fires when the mouse is moved on a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritemousemove Original Ext JS documentation of 'spritemousemove'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteMouseMove
   * /
  public static const SPRITE_MOUSE_MOVE:String = "onSpriteMouseMove";
  /**
   * Fires when the mouse exits a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritemouseout Original Ext JS documentation of 'spritemouseout'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteMouseOut
   * /
  public static const SPRITE_MOUSE_OUT:String = "onSpriteMouseOut";
  /**
   * Fires when the mouse enters a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritemouseover Original Ext JS documentation of 'spritemouseover'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteMouseOver
   * /
  public static const SPRITE_MOUSE_OVER:String = "onSpriteMouseOver";
  /**
   * Fires when a mouseup event occurs on a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritemouseup Original Ext JS documentation of 'spritemouseup'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteMouseUp
   * /
  public static const SPRITE_MOUSE_UP:String = "onSpriteMouseUp";
  /**
   * Fires when a tap event occurs on a sprite.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-spritetap Original Ext JS documentation of 'spritetap'
   * @see ext.draw.DrawContainer
   * @eventType onSpriteTap
   * /
  public static const SPRITE_TAP:String = "onSpriteTap";
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){DrawContainer_sprite_eventEvent.__PARAMETER_SEQUENCE__=( ["sprite", "event", "eOpts"]);}/*;

  public*/ function DrawContainer_sprite_eventEvent$(type/*:String*/, arguments/*:Array*/) {
    this.super$NWn0(type, arguments);
  }/*

  public native function get event():Event;

  public native function get sprite():Object;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      alternateClassName: "ext.draw.events.DrawContainer_sprite_eventEvent",
      constructor: DrawContainer_sprite_eventEvent$,
      super$NWn0: function() {
        net.jangaroo.ext.FlExtEvent.prototype.constructor.apply(this, arguments);
      },
      statics: {
        SPRITE_CLICK: "onSpriteClick",
        SPRITE_DBLCLICK: "onSpriteDblclick",
        SPRITE_MOUSE_DOWN: "onSpriteMouseDown",
        SPRITE_MOUSE_MOVE: "onSpriteMouseMove",
        SPRITE_MOUSE_OUT: "onSpriteMouseOut",
        SPRITE_MOUSE_OVER: "onSpriteMouseOver",
        SPRITE_MOUSE_UP: "onSpriteMouseUp",
        SPRITE_TAP: "onSpriteTap",
        __PARAMETER_SEQUENCE__: undefined,
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
