package ext.app.bind {

[Native("Ext.app.bind.TemplateBinding", require)]
/**
 * This class is created to manage a template against a <code>ViewModel</code>. A binding of this
 * type uses <code>→null</code> to process the template text so see that
 * class for details on template syntax.
 * <p>The bindings to provide the data needed by the template are managed here.</p>
 * @see null
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.app.bind.TemplateBinding.html Original Ext JS documentation of 'Ext.app.bind.TemplateBinding'
 */
public class TemplateBinding extends ext.app.bind.BaseBinding {
  /**
   * @inheritDoc
   */
  public function TemplateBinding(config:ext.app.bind.BaseBinding = null) {
    super();
  }
}
}