package ext.button.events {
import ext.button.Button;
import ext.menu.Menu;
import js.Event;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.button.events.Button_menu_eEvent")]
public class Button_menu_eEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * If this button has a menu, this event fires when the mouse leaves the menu triggering element
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.button.Button.html#event-menutriggerout Original Ext JS documentation of 'menutriggerout'
   * @see ext.button.Button
   * @eventType onMenuTriggerOut
   */
  public static const MENU_TRIGGER_OUT:String = "onMenuTriggerOut";

  /**
   * If this button has a menu, this event fires when the mouse enters the menu triggering element
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.button.Button.html#event-menutriggerover Original Ext JS documentation of 'menutriggerover'
   * @see ext.button.Button
   * @eventType onMenuTriggerOver
   */
  public static const MENU_TRIGGER_OVER:String = "onMenuTriggerOver";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Button_menu_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get e():js.Event;

  public native function get menu():ext.menu.Menu;

  public native function get source():ext.button.Button;
}
}