package ext.button.events {
import ext.button.Button;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.button.events.Button_oldIcon_newIconEvent")]
public class Button_oldIcon_newIconEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when the button's icon is changed by the →<code>setIcon()</code> or →<code>setIconCls()</code>
   * methods.
   * @see ext.button.Button#setIcon()
   * @see ext.button.Button#setIconCls()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.button.Button.html#event-iconchange Original Ext JS documentation of 'iconchange'
   * @see ext.button.Button
   * @eventType onIconChange
   */
  public static const ICON_CHANGE:String = "onIconChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Button_oldIcon_newIconEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newIcon():String;

  public native function get oldIcon():String;

  public native function get source():ext.button.Button;
}
}