package ext.button.events {
import ext.button.Button;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.button.events.Button_oldText_newTextEvent")]
public class Button_oldText_newTextEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when the button's text is changed by the →<code>setText</code> method.
   * @see ext.button.Button#setText
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.button.Button.html#event-textchange Original Ext JS documentation of 'textchange'
   * @see ext.button.Button
   * @eventType onTextChange
   */
  public static const TEXT_CHANGE:String = "onTextChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Button_oldText_newTextEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newText():String;

  public native function get oldText():String;

  public native function get source():ext.button.Button;
}
}