package ext.chart.axis.events {
import ext.chart.axis.Axis;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.chart.axis.events.Axis_visibleRangeEvent")]
public class Axis_visibleRangeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the →<code>visibleRange</code> of the axis changes.
   * @see ext.chart.axis.Axis#visibleRange
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.axis.Axis.html#event-visiblerangechange Original Ext JS documentation of 'visiblerangechange'
   * @see ext.chart.axis.Axis
   * @eventType onVisibleRangeChange
   */
  public static const VISIBLE_RANGE_CHANGE:String = "onVisibleRangeChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Axis_visibleRangeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get axis():ext.chart.axis.Axis;

  public native function get visibleRange():Array;
}
}