package ext.chart.navigator.sprite {
import ext.draw.sprite.Sprite;

[Native("Ext.chart.navigator.sprite.RangeMask", require)]
/**
 * The overlay sprite used by the →<code>ext.chart.navigator.ChartNavigator</code> component
 * to render the selected visible range or a chart's horizontal axis.
 * @see ext.chart.navigator.ChartNavigator
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.chart.navigator.sprite.RangeMask.html Original Ext JS documentation of 'Ext.chart.navigator.sprite.RangeMask'
 */
public class RangeMaskSprite extends ext.draw.sprite.Sprite {
  /**
   * @inheritDoc
   */
  public function RangeMaskSprite(config:ext.chart.navigator.sprite.RangeMaskSprite = null) {
    super();
  }
}
}