package ext.container.events {
import ext.Component;
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.container.events.DockingContainer_component_indexEvent")]
public class DockingContainer_component_indexEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when any →<code>ext.Component</code> is added or inserted as a docked item.
   * @see ext.Component
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.container.DockingContainer.html#event-dockedadd Original Ext JS documentation of 'dockedadd'
   * @see ext.container.DockingContainer
   * @eventType onDockedAdd
   */
  public static const DOCKED_ADD:String = "onDockedAdd";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DockingContainer_component_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The component being added
   */
  public native function get component():ext.Component;

  /**
   * The index at which the component will be added docked items collection
   */
  public native function get index():Number;

  public native function get source():ext.panel.Panel;
}
}