package ext.dashboard.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.dashboard.events.DashboardEvent")]
public class DashboardEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dashboard.Dashboard.html#event-beforedragover Original Ext JS documentation of 'beforedragover'
   * @see ext.dashboard.Dashboard
   * @eventType onBeforeDragOver
   */
  public static const BEFORE_DRAG_OVER:String = "onBeforeDragOver";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dashboard.Dashboard.html#event-beforedrop Original Ext JS documentation of 'beforedrop'
   * @see ext.dashboard.Dashboard
   * @eventType onBeforeDrop
   */
  public static const BEFORE_DROP:String = "onBeforeDrop";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dashboard.Dashboard.html#event-dragover Original Ext JS documentation of 'dragover'
   * @see ext.dashboard.Dashboard
   * @eventType onDragOver
   */
  public static const DRAG_OVER:String = "onDragOver";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dashboard.Dashboard.html#event-drop Original Ext JS documentation of 'drop'
   * @see ext.dashboard.Dashboard
   * @eventType onDrop
   */
  public static const DROP:String = "onDrop";

  /**
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.dashboard.Dashboard.html#event-validatedrop Original Ext JS documentation of 'validatedrop'
   * @see ext.dashboard.Dashboard
   * @eventType onValidateDrop
   */
  public static const VALIDATE_DROP:String = "onValidateDrop";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DashboardEvent(type:String, arguments:Array) {
    super(null, null);
  }
}
}