package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.NodeInterface_nodeEvent")]
public class NodeInterface_nodeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before a new child is appended, return false to cancel the append.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.NodeInterface.html#event-beforeappend Original Ext JS documentation of 'beforeappend'
   * @see ext.data.NodeInterface
   * @eventType onBeforeAppend
   */
  public static const BEFORE_APPEND:String = "onBeforeAppend";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function NodeInterface_nodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The child node to be appended
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;
}
}