package ext.data.events {
import ext.data.Store;
import ext.data.operation.Operation;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.events.Store_operationEvent")]
public class Store_operationEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires before a prefetch occurs. Return <code>false</code> to cancel.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.Store.html#event-beforeprefetch Original Ext JS documentation of 'beforeprefetch'
   * @see ext.data.Store
   * @eventType onBeforePrefetch
   */
  public static const BEFORE_PREFETCH:String = "onBeforePrefetch";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Store_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The associated operation.
   */
  public native function get operation():ext.data.operation.Operation;

  public native function get source():ext.data.Store;
}
}