package ext.data.reader.events {
import ext.data.ResultSet;
import ext.data.reader.DataReader;
import js.XMLHttpRequest;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.data.reader.events.DataReader_response_errorEvent")]
public class DataReader_response_errorEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the reader receives improperly encoded data from the server
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.reader.Reader.html#event-exception Original Ext JS documentation of 'exception'
   * @see ext.data.reader.DataReader
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DataReader_response_errorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The error object
   */
  public native function get error():ext.data.ResultSet;

  /**
   * A reference to this reader
   */
  public native function get reader():ext.data.reader.DataReader;

  /**
   * The XMLHttpRequest response object
   */
  public native function get response():js.XMLHttpRequest;
}
}