package ext.data.request {

[Native("Ext.data.request.Form", require)]
/**
 * This class manages a pending form submit. Instances of this type are created by the
 * <code>→ext.data.Connection.request()</code> method.
 * @see ext.data.Connection#request()
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.request.Form.html Original Ext JS documentation of 'Ext.data.request.Form'
 */
public class FormRequest extends ext.data.request.BaseRequest {
  /**
   * @param config @inheritDoc
   */
  public function FormRequest(config:ext.data.request.FormRequest = null) {
    super();
  }
}
}