package ext.data.validator {

[Native("Ext.data.validator.NotNull", require)]
/**
 * Validates that the passed value is not <code>null</code> or <code>undefined</code>.
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.data.validator.NotNull.html Original Ext JS documentation of 'Ext.data.validator.NotNull'
 */
public class NotNullValidator extends ext.data.validator.PresenceValidator {
  /**
   * @inheritDoc
   */
  public function NotNullValidator(config:ext.data.validator.PresenceValidator = null) {
    super();
  }
}
}