package ext.direct {

[Native("Ext.direct.ExceptionEvent", require)]
/**
 * An event that is fired when an exception is received from a →<code>ext.direct.RemotingProvider</code>
 * @see ext.direct.RemotingProvider
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.ExceptionEvent.html Original Ext JS documentation of 'Ext.direct.ExceptionEvent'
 */
public class DirectExceptionEvent extends ext.direct.RemotingEvent {
  /**
   * @param config @inheritDoc
   */
  public function DirectExceptionEvent(config:ext.direct.DirectExceptionEvent = null) {
    super();
  }
}
}