package ext.direct {
import ext.Base;

[Native("Ext.direct.Transaction", require)]
/**
 * Supporting Class for Ext Direct (not intended to be used directly).
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.Transaction.html Original Ext JS documentation of 'Ext.direct.Transaction'
 */
public class Transaction extends ext.Base {
  /**
   * Creates new Transaction.
   * @param config Config object.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.Transaction.html#method-constructor Original Ext JS documentation of 'constructor'
   */
  public function Transaction(config:ext.direct.Transaction = null) {
    super();
  }

  [ExtConfig]
  /**
   * Provider to use with this Transaction.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.Transaction.html#cfg-provider Original Ext JS documentation of 'provider'
   */
  public native function get provider():ext.direct.Provider;

  [ExtConfig]
  /**
   * @private
   */
  public native function set provider(value:ext.direct.Provider):void;
}
}