package ext.direct.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.direct.events.DirectManager_url_errorEvent")]
public class DirectManager_url_errorEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired by →<code>loadProvider()</code> when remoting API could not be loaded, or
   * Provider instance could not be created.
   * @see ext.direct.SDirectManager#loadProvider()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.Manager.html#event-providerloaderror Original Ext JS documentation of 'providerloaderror'
   * @see ext.direct.SDirectManager
   * @eventType onProviderLoadError
   */
  public static const PROVIDER_LOAD_ERROR:String = "onProviderLoadError";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DirectManager_url_errorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The error that occured.
   */
  public native function get error():String;

  /**
   * The URL used to retrieve remoting API.
   */
  public native function get url():String;
}
}