package ext.direct.events {
import ext.direct.RemotingProvider;
import ext.direct.Transaction;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.direct.events.RemotingProvider_transaction_metaEvent")]
public class RemotingProvider_transaction_metaEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires immediately before the client-side sends off the RPC call. By returning
   * <code>false</code> from an event handler you can prevent the call from being made.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.RemotingProvider.html#event-beforecall Original Ext JS documentation of 'beforecall'
   * @see ext.direct.RemotingProvider
   * @eventType onBeforeCall
   */
  public static const BEFORE_CALL:String = "onBeforeCall";

  /**
   * Fires immediately after the request to the server-side is sent. This does
   * NOT fire after the response has come back from the call.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.direct.RemotingProvider.html#event-call Original Ext JS documentation of 'call'
   * @see ext.direct.RemotingProvider
   * @eventType onCall
   */
  public static const CALL:String = "onCall";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function RemotingProvider_transaction_metaEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The meta data
   */
  public native function get meta():Object;

  public native function get provider():ext.direct.RemotingProvider;

  public native function get transaction():ext.direct.Transaction;
}
}