package ext.draw.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.draw.events.DrawContainer_sizeEvent")]
public class DrawContainer_sizeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the size of the draw container body changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.draw.Container.html#event-bodyresize Original Ext JS documentation of 'bodyresize'
   * @see ext.draw.DrawContainer
   * @eventType onBodyResize
   */
  public static const BODY_RESIZE:String = "onBodyResize";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DrawContainer_sizeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The object containing 'width' and 'height' of the draw container's body.
   */
  public native function get size():Object;
}
}