package ext.event.gesture {

[Native("Ext.event.gesture.MultiTouch", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>A base class for gesture recognizers that involve multiple simultaneous contact points
 * between the screen and the input-device, e.g. 'pinch' and 'rotate'</p>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.event.gesture.MultiTouch.html Original Ext JS documentation of 'Ext.event.gesture.MultiTouch'
 */
public class MultiTouch extends ext.event.gesture.GestureRecognizer {
  /**
   * @inheritDoc
   */
  public function MultiTouch(config:ext.event.gesture.GestureRecognizer = null) {
    super();
  }
}
}