package ext.event.gesture {

[Native("Ext.event.gesture.SingleTouch", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>A base class for gesture recognizers that are only concerned with a single point of
 * contact between the screen and the input-device.</p>
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.event.gesture.SingleTouch.html Original Ext JS documentation of 'Ext.event.gesture.SingleTouch'
 */
public class SingleTouch extends ext.event.gesture.GestureRecognizer {
  /**
   * @inheritDoc
   */
  public function SingleTouch(config:ext.event.gesture.GestureRecognizer = null) {
    super();
  }
}
}