package ext.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.events.GlobalEvents_onlineEvent")]
public class GlobalEvents_onlineEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the online status of the page changes. See →<code>ext.Ext.isOnline()</code>
   * @since 6.2.1
   * @see ext.SExt#isOnline() ext.Ext.isOnline()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.GlobalEvents.html#event-onlinechange Original Ext JS documentation of 'onlinechange'
   * @see ext.SGlobalEvents
   * @eventType onOnlineChange
   */
  public static const ONLINE_CHANGE:String = "onOnlineChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function GlobalEvents_onlineEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * <code>true</code> if in an online state.
   */
  public native function get online():Boolean;
}
}