package ext.events {
import ext.ProgressBar;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.events.ProgressBar_value_textEvent")]
public class ProgressBar_value_textEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after each update interval
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.ProgressBar.html#event-update Original Ext JS documentation of 'update'
   * @see ext.ProgressBar
   * @eventType onUpdate
   */
  public static const UPDATE:String = "onUpdate";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ProgressBar_value_textEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.ProgressBar;

  /**
   * The current progress text
   */
  public native function get text():String;

  /**
   * The current progress value
   */
  public native function get value():Number;
}
}