package ext.form.events {
import ext.form.BasicForm;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.events.BasicForm_dirtyEvent")]
public class BasicForm_dirtyEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the dirty state of the entire form changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.Basic.html#event-dirtychange Original Ext JS documentation of 'dirtychange'
   * @see ext.form.BasicForm
   * @eventType onDirtyChange
   */
  public static const DIRTY_CHANGE:String = "onDirtyChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function BasicForm_dirtyEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * <code>true</code> if the form is now dirty, <code>false</code> if it is no longer dirty.
   */
  public native function get dirty():Boolean;

  public native function get source():ext.form.BasicForm;
}
}