package ext.form.field.events {
import ext.form.field.DateField;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.field.events.DateField_valueEvent")]
public class DateField_valueEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a value is selected via the picker or when value is getting set
   * explicitly by setter.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.Date.html#event-select Original Ext JS documentation of 'select'
   * @see ext.form.field.DateField
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function DateField_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This field instance
   */
  public native function get field():ext.form.field.DateField;

  /**
   * The value that was selected.
   */
  public native function get value():Object;
}
}