package ext.fx.events {
import ext.fx.Animator;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.fx.events.Animator_startTimeEvent")]
public class Animator_startTimeEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the animation is complete.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.Animator.html#event-afteranimate Original Ext JS documentation of 'afteranimate'
   * @see ext.fx.Animator
   * @eventType onAfterAnimate
   */
  public static const AFTER_ANIMATE:String = "onAfterAnimate";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Animator_startTimeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.fx.Animator;

  public native function get startTime():Date;
}
}