package ext.fx.target {

[Native("Ext.fx.target.ElementCSS", require)]
/**
 * This class represents a animation target for an →<code>ext.dom.Element</code> that supports CSS
 * based animation. In general this class will not be created directly, the →<code>ext.dom.Element</code>
 * will be passed to the animation and the appropriate target will be created.
 * @see ext.dom.Element
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.fx.target.ElementCSS.html Original Ext JS documentation of 'Ext.fx.target.ElementCSS'
 */
public class ElementCSSTarget extends ext.fx.target.ElementTarget {
  /**
   * @inheritDoc
   */
  public function ElementCSSTarget(target:* = undefined) {
    super();
  }
}
}