package ext.grid.feature {

[Native("Ext.grid.feature.GroupingSummary", require)]
/**
 * <b>NOTE: This is a private utility class for internal use by the framework. Don't rely on its existence.</b>
 * <p>See →<code>ext.grid.feature.Grouping</code> for an example of how to add a summary row to
 * a grouped grid</p>
 * @see ext.grid.feature.Grouping
 * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.feature.GroupingSummary.html Original Ext JS documentation of 'Ext.grid.feature.GroupingSummary'
 */
public class GroupingSummary extends ext.grid.feature.Grouping {
  /**
   * @param config @inheritDoc
   */
  public function GroupingSummary(config:ext.grid.feature.GroupingSummary = null) {
    super();
  }
}
}