package ext.grid.plugin.events {
import ext.data.Model;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.grid.plugin.events.RowExpanderPlugin_rowNode_record_expandRowEvent")]
public class RowExpanderPlugin_rowNode_record_expandRowEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * <b>Fired through the grid's View.</b>
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.plugin.RowExpander.html#event-collapsebody Original Ext JS documentation of 'collapsebody'
   * @see ext.grid.plugin.RowExpanderPlugin
   * @eventType onCollapseBody
   */
  public static const COLLAPSE_BODY:String = "onCollapseBody";

  /**
   * <b>Fired through the grid's View</b>
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.plugin.RowExpander.html#event-expandbody Original Ext JS documentation of 'expandbody'
   * @see ext.grid.plugin.RowExpanderPlugin
   * @eventType onExpandBody
   */
  public static const EXPAND_BODY:String = "onExpandBody";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function RowExpanderPlugin_rowNode_record_expandRowEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The &lt;tr&gt; element containing the expanded data.
   */
  public native function get expandRow():js.HTMLElement;

  /**
   * The record providing the data.
   */
  public native function get record():ext.data.Model;

  /**
   * The &lt;tr&gt; element which owns the expanded row.
   */
  public native function get rowNode():js.HTMLElement;
}
}