package ext.list.events {
import ext.data.TreeModel;
import ext.list.Tree;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.list.events.Tree_recordEvent")]
public class Tree_recordEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * This event fires when →<code>ext.list.Tree.selection</code> changes
   * @see ext.list.Tree#selection
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.list.Tree.html#event-selectionchange Original Ext JS documentation of 'selectionchange'
   * @see ext.list.Tree
   * @eventType onSelectionChange
   */
  public static const SELECTION_CHANGE:String = "onSelectionChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Tree_recordEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The currently selected node.
   */
  public native function get record():ext.data.TreeModel;

  /**
   * The component firing this event.
   */
  public native function get treelist():ext.list.Tree;
}
}