package ext.menu.events {
import ext.menu.Item;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.menu.events.Item_oldIcon_newIconEvent")]
public class Item_oldIcon_newIconEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when the item's icon is changed by the →<code>setIcon()</code> or →<code>setIconCls()</code> methods.
   * @see ext.menu.Item#setIcon()
   * @see ext.menu.Item#setIconCls()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.menu.Item.html#event-iconchange Original Ext JS documentation of 'iconchange'
   * @see ext.menu.Item
   * @eventType onIconChange
   */
  public static const ICON_CHANGE:String = "onIconChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Item_oldIcon_newIconEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newIcon():String;

  public native function get oldIcon():String;

  public native function get source():ext.menu.Item;
}
}