package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newIconAlign_oldIconAlignEvent")]
public class Panel_newIconAlign_oldIconAlignEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the Panel iconAlign has been set or changed.
   * @since 6.5.1
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-iconalignchange Original Ext JS documentation of 'iconalignchange'
   * @see ext.panel.Panel
   * @eventType onIconAlignChange
   */
  public static const ICON_ALIGN_CHANGE:String = "onIconAlignChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newIconAlign_oldIconAlignEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newIconAlign():String;

  public native function get oldIconAlign():String;

  /**
   * The Panel which has the iconAlign changed.
   */
  public native function get source():ext.panel.Panel;
}
}