package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newIcon_oldIconEvent")]
public class Panel_newIcon_oldIconEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the Panel icon has been set or changed.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-iconchange Original Ext JS documentation of 'iconchange'
   * @see ext.panel.Panel
   * @eventType onIconChange
   */
  public static const ICON_CHANGE:String = "onIconChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newIcon_oldIconEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The path to the new icon image.
   */
  public native function get newIcon():String;

  /**
   * The path to the previous panel icon image.
   */
  public native function get oldIcon():String;

  /**
   * The Panel which has the icon changed.
   */
  public native function get source():ext.panel.Panel;
}
}