package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newTitleAlign_oldTitleAlignEvent")]
public class Panel_newTitleAlign_oldTitleAlignEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the Panel titleAlign has been set or changed.
   * @since 6.5.1
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-titlealignchange Original Ext JS documentation of 'titlealignchange'
   * @see ext.panel.Panel
   * @eventType onTitleAlignChange
   */
  public static const TITLE_ALIGN_CHANGE:String = "onTitleAlignChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newTitleAlign_oldTitleAlignEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newTitleAlign():String;

  public native function get oldTitleAlign():String;

  /**
   * the Panel which has the titleAlign changed.
   */
  public native function get source():ext.panel.Panel;
}
}