package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.Panel_newTitlePosition_oldTitlePositionEvent")]
public class Panel_newTitlePosition_oldTitlePositionEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the Panel titlePosition has been set or changed.
   * @since 6.5.1
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.panel.Panel.html#event-titlepositionchange Original Ext JS documentation of 'titlepositionchange'
   * @see ext.panel.Panel
   * @eventType onTitlePositionChange
   */
  public static const TITLE_POSITION_CHANGE:String = "onTitlePositionChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Panel_newTitlePosition_oldTitlePositionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get newTitlePosition():String;

  public native function get oldTitlePosition():String;

  /**
   * the Panel which has the titlePosition changed.
   */
  public native function get source():ext.panel.Panel;
}
}