package ext.panel.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.TablePanel_lockedColumns_normalColumnsEvent")]
public class TablePanel_lockedColumns_normalColumnsEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the configured (or <b>reconfigured</b>) column set is split into two
   * depending on the →<code>ext.grid.column.Column.locked</code> flag.
   * @see ext.grid.column.Column#locked
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.locking.Lockable.html#event-processcolumns Original Ext JS documentation of 'processcolumns'
   * @see ext.panel.TablePanel
   * @eventType onProcessColumns
   */
  public static const PROCESS_COLUMNS:String = "onProcessColumns";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanel_lockedColumns_normalColumnsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  [ArrayElementType("ext.grid.column.Column")]
  /**
   * The locked columns.
   */
  public native function get lockedColumns():Array;

  [ArrayElementType("ext.grid.column.Column")]
  /**
   * The normal columns.
   */
  public native function get normalColumns():Array;
}
}