package ext.panel.events {
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.panel.events.TablePanel_store_filtersEvent")]
public class TablePanel_store_filtersEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired whenever the filter set changes.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.grid.locking.Lockable.html#event-filterchange Original Ext JS documentation of 'filterchange'
   * @see ext.panel.TablePanel
   * @eventType onFilterChange
   */
  public static const FILTER_CHANGE:String = "onFilterChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanel_store_filtersEvent(type:String, arguments:Array) {
    super(null, null);
  }

  [ArrayElementType("ext.util.Filter")]
  /**
   * The array of Filter objects.
   */
  public native function get filters():Array;

  /**
   * The store.
   */
  public native function get store():ext.data.Store;
}
}