package ext.picker.events {
import ext.picker.ColorPicker;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.picker.events.ColorPicker_colorEvent")]
public class ColorPicker_colorEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a color is selected
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.picker.Color.html#event-select Original Ext JS documentation of 'select'
   * @see ext.picker.ColorPicker
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function ColorPicker_colorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The 6-digit color hex code (without the # symbol)
   */
  public native function get color():String;

  public native function get source():ext.picker.ColorPicker;
}
}