package ext.selection.events {
import ext.data.Model;
import ext.selection.SelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.selection.events.SelectionModel_oldFocused_newFocusedEvent")]
public class SelectionModel_oldFocused_newFocusedEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired when a row is focused
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.selection.Model.html#event-focuschange Original Ext JS documentation of 'focuschange'
   * @see ext.selection.SelectionModel
   * @eventType onFocusChange
   */
  public static const FOCUS_CHANGE:String = "onFocusChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function SelectionModel_oldFocused_newFocusedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The newly focused record
   */
  public native function get newFocused():ext.data.Model;

  /**
   * The previously focused record
   */
  public native function get oldFocused():ext.data.Model;

  public native function get source():ext.selection.SelectionModel;
}
}