package ext.selection.events {
import ext.selection.SelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.selection.events.SelectionModel_selectedEvent")]
public class SelectionModel_selectedEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fired after a selection change has occurred
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.selection.Model.html#event-selectionchange Original Ext JS documentation of 'selectionchange'
   * @see ext.selection.SelectionModel
   * @eventType onSelectionChange
   */
  public static const SELECTION_CHANGE:String = "onSelectionChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function SelectionModel_selectedEvent(type:String, arguments:Array) {
    super(null, null);
  }

  [ArrayElementType("ext.data.Model")]
  /**
   * The selected records
   */
  public native function get selected():Array;

  public native function get source():ext.selection.SelectionModel;
}
}