package ext.state.events {
import ext.state.Provider;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.state.events.Provider_key_valueEvent")]
public class Provider_key_valueEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when a state change occurs.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.state.Provider.html#event-statechange Original Ext JS documentation of 'statechange'
   * @see ext.state.Provider
   * @eventType onStateChange
   */
  public static const STATE_CHANGE:String = "onStateChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Provider_key_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The state key which was changed
   */
  public native function get key():String;

  /**
   * This state provider
   */
  public native function get source():ext.state.Provider;

  /**
   * The encoded value for the state
   */
  public native function get value():String;
}
}