package ext.system {
import ext.IPromise;

[Rename("Ext.system.PackageLoader")]
public class PackageLoader {
  public static native function loadPackageList(localPackagesOnly:Boolean = false):ext.IPromise;

  [ArrayElementType("String")]
  [ArrayElementType("String")]
  public static native function loadManifest(packageName:String):ext.IPromise;

  public static native function getLoadedManifest(name:String):Object;

  public static native function loadManifests(packageNames:Array):ext.IPromise;

  public static native function loadTransitiveManifests(packageNames:Array):ext.IPromise;

  public static native function loadScripts(packageName:String):ext.IPromise;

  public static native function sortByDependencies(packageNames:Array):ext.IPromise;
}
}