package ext.toolbar.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.toolbar.events.Toolbar_lastHiddenCount_hiddenCount_hiddenItemsEvent")]
public class Toolbar_lastHiddenCount_hiddenCount_hiddenItemsEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires after the overflow state has changed if this toolbar has been configured with
   * an <code>→overflowHandler</code>.
   * @see ext.toolbar.Toolbar#overflowHandler
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.toolbar.Toolbar.html#event-overflowchange Original Ext JS documentation of 'overflowchange'
   * @see ext.toolbar.Toolbar
   * @eventType onOverflowChange
   */
  public static const OVERFLOW_CHANGE:String = "onOverflowChange";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Toolbar_lastHiddenCount_hiddenCount_hiddenItemsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The number of overflowing items that are hidden now.
   */
  public native function get hiddenCount():Number;

  /**
   * The hidden items
   */
  public native function get hiddenItems():Array;

  /**
   * The number of overflowing items that used to be hidden.
   */
  public native function get lastHiddenCount():Number;
}
}