package ext.util.events {
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.util.events.AbstractMixedCollection_key_old_newEvent")]
public class AbstractMixedCollection_key_old_newEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when an item is replaced in the collection.
   * @since 1.1.0
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.AbstractMixedCollection.html#event-replace Original Ext JS documentation of 'replace'
   * @see ext.util.AbstractMixedCollection
   * @eventType onReplace
   */
  public static const REPLACE:String = "onReplace";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function AbstractMixedCollection_key_old_newEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * he key associated with the new added.
   */
  public native function get key():String;

  /**
   * The new item.
   */
  public native function get new_():Object;

  /**
   * The item being replaced.
   */
  public native function get old():Object;
}
}