package ext.util.events {
import ext.util.SHistory;
import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.util.events.HistoryEvent")]
public class HistoryEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the Ext.util.History singleton has been initialized and is ready for use.
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.util.History.html#event-ready Original Ext JS documentation of 'ready'
   * @see ext.util.SHistory
   * @eventType onReady
   */
  public static const READY:String = "onReady";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function HistoryEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The Ext.util.History singleton.
   */
  public native function get history():ext.util.SHistory;
}
}