/*package ext.form.field.events {
import ext.form.field.Field;

import net.jangaroo.ext.FlExtEvent;

[Rename("Ext.form.field.events.Field_isDirtyEvent")]*/
Ext.define("Ext.form.field.events.Field_isDirtyEvent", function(Field_isDirtyEvent) {/*public class Field_isDirtyEvent extends FlExtEvent {
  /**
   * Fires when a change in the field's →<code>isDirty()</code> state is detected.
   * @see ext.form.field.Field#isDirty()
   * @see https://docs.sencha.com/extjs/7.2.0/classic/Ext.form.field.Field.html#event-dirtychange Original Ext JS documentation of 'dirtychange'
   * @see ext.form.field.Field
   * @eventType onDirtyChange
   * /
  public static const DIRTY_CHANGE:String = "onDirtyChange";
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){Field_isDirtyEvent.__PARAMETER_SEQUENCE__=( ["source", "isDirty", "eOpts"]);}/*;

  public*/ function Field_isDirtyEvent$(type/*:String*/, arguments/*:Array*/) {
    this.super$amUR(type, arguments);
  }/*

  /**
   * Whether or not the field is now dirty
   * /
  public native function get isDirty():Boolean;

  public native function get source():Field;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      alternateClassName: "ext.form.field.events.Field_isDirtyEvent",
      constructor: Field_isDirtyEvent$,
      super$amUR: function() {
        net.jangaroo.ext.FlExtEvent.prototype.constructor.apply(this, arguments);
      },
      statics: {
        DIRTY_CHANGE: "onDirtyChange",
        __PARAMETER_SEQUENCE__: undefined,
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
