/*package ext.system {
[Rename("Ext.system.PlaceholderReplacer")]*/
Ext.define("Ext.system.PlaceholderReplacer", function(PlaceholderReplacer) {/*internal class PlaceholderReplacer {

  private static*/ function getPlaceholderValue$static(manifest/*:Object*/, prefix/*:String*/, placeholder/*:String*/)/*:String*/ {
    if (placeholder === "build.environment") {
      return "development"; // Jangaroo builds are always "development"
    }
    if (placeholder.indexOf(prefix) === 0) {
      return manifest[placeholder.substr(prefix.length)];
    }
    AS3.trace("[WARN]", "Unknown placeholder '" + placeholder + "'.");
  }/*

  private static const*/var PLACEHOLDER_PATTERN$static/*:RegExp*/ = /\${([a-z][a-z0-9_$.-]*)}/ig;/*

  internal static*/ function substitutePlaceholders$static(manifest/*:Object*/, prefix/*:String = ""*/)/*:Function*/ {if(arguments.length<=1)prefix="";
    return function (input/*:String*/)/*:String*/ {
      var output/*:String*/ = input;

      while (true) {
        PLACEHOLDER_PATTERN$static.lastIndex = 0; // reset match state before reusing the global RegExp!
        var match/*:Array*/ = PLACEHOLDER_PATTERN$static.exec(output);
        if (!match) {
          break;
        }
        var length/*:int*/ = match[0].length;
        var startIndex/*:int*/ = PLACEHOLDER_PATTERN$static.lastIndex - length;
        var placeholder/*:String*/ = match[1];
        var value/*:String*/ = getPlaceholderValue$static(manifest, prefix, placeholder);
        output = output.substr(0, startIndex) + value + output.substr(startIndex + length);
      }
      return output;
    };
  }/*

}
}

============================================== Jangaroo part ==============================================*/
    return {
      alternateClassName: "ext.system.PlaceholderReplacer",
      statics: {substitutePlaceholders: substitutePlaceholders$static},
      requires: ["AS3.trace"]
    };
});
